#
# spec file for package python-networking-hyperv
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define component networking-hyperv

%define version_unconverted 7.0.1.dev16

Name:           python-networking-hyperv
Version:        7.0.1~dev16
Release:        1.1
Summary:        Hyperv for OpenStack Networking (Neutron)
License:        Apache-2.0
Group:          System/Management
Url:            https://wiki.openstack.org/wiki/Hyper-V
Source:         http://tarballs.openstack.org/networking-hyperv/networking-hyperv-master.tar.gz
BuildRequires:  fdupes
BuildRequires:  openstack-suse-macros
BuildRequires:  python-base
BuildRequires:  python-pbr
BuildRequires:  python-setuptools
Requires:       openstack-neutron
Requires:       python >= 2.7
Requires:       python-Babel >= 2.3.4
Requires:       python-eventlet >= 0.18.2
Requires:       python-neutron-lib >= 1.13.0
Requires:       python-neutronclient >= 6.7.0
Requires:       python-os-win >= 3.0.0
Requires:       python-oslo.config >= 5.2.0
Requires:       python-oslo.i18n >= 3.15.3
Requires:       python-oslo.log >= 3.36.0
Requires:       python-oslo.serialization >= 2.18.0
Requires:       python-oslo.utils >= 3.33.0

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
This project tracks the work to integrate the Hyper-V networking with Neutron.
This project contains the Hyper-V Neutron Agent Mixin, Security Groups Driver,
ML2 Mechanism Driver and the utils modules they use in order to properly bind
neutron ports on a Hyper-V host.

%package test
Summary:        Hyperv for OpenStack Networking (Networking) - Testsuite
Group:          System/Management
Requires:       %{name} = %{version}

%prep
%setup -q -n %{component}-%{version_unconverted}
%openstack_cleanup_prep

%description test
This project tracks the work to integrate the Hyper-V networking with Neutron.
This project contains the Hyper-V Neutron Agent Mixin, Security Groups Driver,
ML2 Mechanism Driver and the utils modules they use in order to properly bind
neutron ports on a Hyper-V host.
This package contains the tests.

%build
python setup.py build

%install
python setup.py install --root %{buildroot} --prefix %{_prefix}
%fdupes %{buildroot}%{python_sitelib}/

%files
%defattr(-,root,root,-)
%doc LICENSE
%{python_sitelib}/networking_hyperv/
%{python_sitelib}/networking_hyperv*.egg-info
# Part of test subpackage
%exclude %{python_sitelib}/networking_hyperv/tests/unit
%{_bindir}/neutron-hyperv-agent
%{_bindir}/neutron-hnv-agent
%{_bindir}/neutron-hnv-metadata-proxy

%files test
%defattr(-,root,root)
%doc LICENSE
%dir %{python_sitelib}/networking_hyperv/tests
%dir %{python_sitelib}/networking_hyperv/tests/unit

%changelog
* Mon Jan 21 2019 cloud-devel@suse.de
- Update to version networking-hyperv-7.0.1.dev16:
  * Use template for lower-constraints
  * fix misspelling of configuration
  * Change openstack-dev to openstack-discuss
* Sat Nov 24 2018 cloud-devel@suse.de
- Update to version networking-hyperv-7.0.1.dev11:
  * Update expected exception for missing ports
* Thu Nov 22 2018 cloud-devel@suse.de
- Update to version networking-hyperv-7.0.1.dev9:
  * Delete the duplicate words in  scale-hyperv-neutron-agent.rst
* Thu Oct 18 2018 cloud-devel@suse.de
- Update to version networking-hyperv-7.0.1.dev8:
  * Don't quote {posargs} in tox.ini
* Fri Oct  5 2018 cloud-devel@suse.de
- Update to version networking-hyperv-7.0.1.dev7:
  * Ignore missing ports when handling security groups
  * Update the URL in HACKING.rst
* Tue Aug 28 2018 cloud-devel@suse.de
- Update to version networking-hyperv-7.0.1.dev4:
  * add python 3.6 unit test job
  * switch documentation job to new PTI
* Sat Aug 25 2018 cloud-devel@suse.de
- Update to version networking-hyperv-7.0.1.dev2:
  * import zuul job settings from project-config
* Thu Aug 23 2018 cloud-devel@suse.de
- Update to version networking-hyperv-7.0.1.dev1:
  * Update reno for stable/rocky
  7.0.0
* Tue Aug  7 2018 cloud-devel@suse.de
- Update to version networking-hyperv-6.0.1.dev22:
  * Switch to stestr
* Sun Aug  5 2018 cloud-devel@suse.de
- Update to version networking-hyperv-6.0.1.dev21:
  * Add release notes link in README
  * Updating required neutron version
  * fix tox python3 overrides
* Tue Jun  5 2018 cloud-devel@suse.de
- Update to version networking-hyperv-6.0.1.dev16:
  * Updated from global requirements
* Wed May 30 2018 cloud-devel@suse.de
- Update to version networking-hyperv-6.0.1.dev14:
  * add lower-constraints job
* Sat Mar 31 2018 cloud-devel@suse.de
- Update to version networking-hyperv-6.0.1.dev13:
  * pypy is not checked at gate
* Thu Mar 22 2018 cloud-devel@suse.de
- Update to version networking-hyperv-6.0.1.dev12:
  * Updated from global requirements
  * Avoid tox-install.sh
* Fri Mar  9 2018 cloud-devel@suse.de
- Update to version networking-hyperv-6.0.1.dev9:
  * use common agent topics from neutron-lib
* Thu Mar  8 2018 cloud-devel@suse.de
- Update to version networking-hyperv-6.0.1.dev7:
  * Fixes securitygroups\_rpc usage
  * Update links in README
* Thu Feb 15 2018 cloud-devel@suse.de
- Update to version networking-hyperv-6.0.1.dev5:
  * Updated from global requirements
* Wed Feb 14 2018 cloud-devel@suse.de
- Update to version networking-hyperv-6.0.1.dev4:
  * Update reno for stable/queens
* Thu Feb  8 2018 cloud-devel@suse.de
- Update to version networking-hyperv-6.0.1.dev3:
  * Removes SG rules on port with SG disabled
* Tue Jan 30 2018 cloud-devel@suse.de
- Update to version networking-hyperv-6.0.1.dev1:
  * Updated from global requirements
  6.0.0
* Fri Jan 26 2018 cloud-devel@suse.de
- Update to version networking-hyperv-5.0.1.dev53:
  * Fixes VLAN trunk setting issue
  * tests: Use mock autospec in unit tests
  * Cleans up logic
  * Avoids unnecessary lock logging every loop
  * Updated from global requirements
  * Sets MAC spoof if neutron port security groups enabled / disabled
  * Start using nova\_metadata\_host
  * use EGRESS\_DIRECTION and INGRESS\_DIRECTION from neutron-lib
* Wed Jan 24 2018 cloud-devel@suse.de
- Update to version networking-hyperv-5.0.1.dev38:
  * Updated from global requirements
  * Fixes deprecated neutron config option usage
* Sat Jan 20 2018 cloud-devel@suse.de
- Update to version networking-hyperv-5.0.1.dev36:
  * Fixes deprecated neutron config option usage
* Wed Jan 17 2018 cloud-devel@suse.de
- Update to version networking-hyperv-5.0.1.dev35:
  * Updated from global requirements
  * fix misspelling of 'configruation'
  * Updated from global requirements
* Sat Jan  6 2018 cloud-devel@suse.de
- Update to version networking-hyperv-5.0.1.dev31:
  * Adds SR-IOV support
* Wed Dec 20 2017 cloud-devel@suse.de
- Update to version networking-hyperv-5.0.1.dev29:
  * Fix vSwitch extension check
  * Validate configured vSwitches
  * Updated from global requirements
  * Avoid using implicit vSwitch names
* Sat Dec 16 2017 cloud-devel@suse.de
- Update to version networking-hyperv-5.0.1.dev22:
  * Updated from global requirements
* Wed Nov 29 2017 cloud-devel@suse.de
- Update to version networking-hyperv-5.0.1.dev21:
  * Align tox\_install.sh with other projects
* Wed Nov 22 2017 cloud-devel@suse.de
- Update to version networking-hyperv-5.0.1.dev20:
  * doc: Switch to openstackdocstheme
  * Cleanup test-requirements
  * Add config sample to networking-hyperv docs
* Tue Nov 21 2017 cloud-devel@suse.de
- Update to version networking-hyperv-5.0.1.dev16:
  * Remove setting of version/release from releasenotes
  * Updated from global requirements
  * cleanup: Remove useless test and fixes another
* Tue Nov 14 2017 cloud-devel@suse.de
- Update to version networking-hyperv-5.0.1.dev11:
  * Add oslo.config entry point
* Wed Oct 25 2017 cloud-devel@suse.de
- Update to version networking-hyperv-5.0.1.dev9:
  * Drop MANIFEST.in - it's not needed by pbr
  * use qos constants from neutron-lib
* Mon Oct 16 2017 cloud-devel@suse.de
- Update to version networking-hyperv-5.0.1.dev6:
  * Stop reprocessing a neutron port if the vNIC doesn't exist
* Thu Oct  5 2017 cloud-devel@suse.de
- Update to version networking-hyperv-5.0.1.dev5:
  * Updated from global requirements
* Tue Aug 29 2017 tbechtold@suse.com
- Update to version networking-hyperv-5.0.1.dev4:
  * Updated from global requirements
  * Adds devstack networking-hyperv plugin
  * Update reno for stable/pike
  5.0.0
  * moves to networking\_hyperv namespace
  * Using neutron-lib hacking rules
  * Adds releasenotes configuration
  * treats os-win exceptions
  * SecurityGroups: Clears port from device cache
  * Fixes Windows Server 2016 Network Controller constants
  * Add support for custom metadata agent for HNV
  * Replaces neutronclient's initialisation with keystoneauth
  * cleans up the config option usage
  * Fixes unit tests
  * Add layer 2 agent for Hyper-V Network Virtualization v2
  * Use neutron\_lib.context
  * Fixes missing agent\_state issue
  * Uses neutron\_lib constants instead of neutron constants
  * Refactors neutron\_client config options
  * Pass on port\_delete RPC call
- Install neutron-hnv-agent and neutron-hnv-metadata-proxy
* Fri Apr 14 2017 cloud-devel@suse.de
- Update to version networking-hyperv-4.0.1.dev16:
  * Refactor the Hyper-V Layer 2 Agent
  * Updated from global requirements
* Wed Apr 12 2017 cloud-devel@suse.de
- Update to version networking-hyperv-4.0.1.dev13:
  * Add base classes for neutron agents
* Sun Apr  9 2017 cloud-devel@suse.de
- Update to version networking-hyperv-4.0.1.dev11:
  * Change http to https, remove py34 and add p35
* Sat Apr  8 2017 cloud-devel@suse.de
- Update to version networking-hyperv-4.0.1.dev9:
  * Updates networkutils caches on worker error
  * Updated from global requirements
* Fri Mar 31 2017 cloud-devel@suse.de
- Update to version networking-hyperv-4.0.1.dev6:
  * Updated from global requirements
* Fri Mar 17 2017 cloud-devel@suse.de
- Update to version networking-hyperv-4.0.1.dev5:
  * Use updated common agent config location
* Fri Mar 10 2017 cloud-devel@suse.de
- Update to version networking-hyperv-4.0.1.dev4:
  * Updated from global requirements
* Wed Mar  8 2017 cloud-devel@suse.de
- Update to version networking-hyperv-4.0.1.dev3:
  * Use neutron_lib.context
* Fri Mar  3 2017 cloud-devel@suse.de
- Update to version networking-hyperv-4.0.1.dev2:
  * updates hacking requirement
* Tue Feb 14 2017 cloud-devel@suse.de
- Update to version networking-hyperv-4.0.1.dev1:
  * Updated from global requirements
  4.0.0
* Sat Jan 28 2017 cloud-devel@suse.de
- Update to version networking-hyperv-3.0.1.dev43:
  * Adds trunked VLANs support
  * Fixes HyperVSecurityGroupsDriver for ports without security groups
  * defines the Hyper-V Security Groups Driver as a neutron firewall driver
* Wed Jan 25 2017 cloud-devel@suse.de
- Update to version networking-hyperv-3.0.1.dev38:
  * Adds QoS support
  * Use neutron-lib portbindings api-def
  * Updated from global requirements
  * Remove support for py33
* Thu Jan 19 2017 cloud-devel@suse.de
- Update to version networking-hyperv-3.0.1.dev31:
  * Updated from global requirements
* Wed Jan  4 2017 cloud-devel@suse.de
- Update to version networking-hyperv-3.0.1.dev30:
  * Removes unnecessary utf-8 coding
  * Add Constraints support
* Fri Dec 23 2016 cloud-devel@suse.de
- Update to version networking-hyperv-3.0.1.dev26:
  * Fixes missing agent_state issue
* Thu Dec 22 2016 cloud-devel@suse.de
- Update to version networking-hyperv-3.0.1.dev24:
  * Updated from global requirements
* Wed Dec 21 2016 cloud-devel@suse.de
- Update to version networking-hyperv-3.0.1.dev23:
  * Pin docutils version
* Thu Dec  8 2016 cloud-devel@suse.de
- Update to version networking-hyperv-3.0.1.dev21:
  * Replace six.iteritems() with .items()
* Tue Dec  6 2016 cloud-devel@suse.de
- Update to version networking-hyperv-3.0.1.dev19:
  * Show team and repo badges on README
* Wed Nov 23 2016 cloud-devel@suse.de
- Update to version networking-hyperv-3.0.1.dev18:
  * Fix few typos in doc
  * Changed author and author-email
* Fri Nov 18 2016 cloud-devel@suse.de
- Update to version networking-hyperv-3.0.1.dev15:
  * Removes all references to openstack.common
* Wed Nov 16 2016 cloud-devel@suse.de
- Update to version networking-hyperv-3.0.1.dev14:
  * Updated from global requirements
* Sat Nov 12 2016 cloud-devel@suse.de
- Update to version networking-hyperv-3.0.1.dev13:
  * Uses neutron_lib constants instead of neutron constants
  * Modify a wrong command option in specs
  * Fixes port security rules deletion
* Wed Nov  9 2016 cloud-devel@suse.de
- Update to version networking-hyperv-3.0.1.dev8:
  * Updated from global requirements
  * Don't include openstack/common in flake8 exclude list
* Tue Oct 18 2016 cloud-devel@suse.de
- Update to version networking-hyperv-3.0.1.dev5:
  * Fixes port security rules when port security is disabled
* Tue Oct 11 2016 cloud-devel@suse.de
- Update to version networking-hyperv-3.0.1.dev4:
  * Handle removed ports asynchronously
* Sat Oct  8 2016 cloud-devel@suse.de
- Update to version networking-hyperv-3.0.1.dev3:
  * Avoid sending port updates individually
  * Switch to using greenthreads
* Tue Oct  4 2016 tbechtold@suse.com
- Adjust Requires
* Fri Sep 30 2016 cloud-devel@suse.de
- Update to version networking-hyperv-3.0.1.dev1:
  * Updated from global requirements
  3.0.0
  * TrivialFix: Remove cfg import unused
* Tue Sep 13 2016 cloud-devel@suse.de
- Update to version networking-hyperv-3.0.0.0rc2.dev1:
  * TrivialFix: Remove logging import unused
  3.0.0.0rc1
* Tue Aug 23 2016 cloud-devel@suse.de
- Update to version networking-hyperv-2.0.1.dev35:
  * Expands unit test coverage
  * Cleans up unused code
  * Added unit tests for several methods
* Sat Aug 20 2016 cloud-devel@suse.de
- Update to version networking-hyperv-2.0.1.dev30:
  * Updated from global requirements
  * Update ML2 mechanism driver's README
  * Updates README.rst
  * Refactors neutron_client config options
  * Pass on port_delete RPC call
  * Enable DeprecationWarning in test environments
* Thu Aug 18 2016 cloud-devel@suse.de
- Update to version networking-hyperv-2.0.1.dev19:
  * Add extra validations to the config options
  * Removes flake8 ignored errors
* Thu Jul 28 2016 cloud-devel@suse.de
- Update to version networking-hyperv-2.0.1.dev16:
  * Declare hyperv namespace
* Wed Jul 20 2016 cloud-devel@suse.de
- Update to version networking-hyperv-2.0.1.dev15:
  * Fix for VM's not getting IP due to missing SG rules
* Thu Jul 14 2016 cloud-devel@suse.de
- Update to version networking-hyperv-2.0.1.dev13:
  * Updated from global requirements
* Thu Jul  7 2016 cloud-devel@suse.de
- Update to version networking-hyperv-2.0.1.dev12:
  * Properly updates the SG rules when SG is changed
* Wed Jul  6 2016 cloud-devel@suse.de
- Update to version networking-hyperv-2.0.1.dev10:
  * Avoid port delete race conditions
* Sun Jul  3 2016 cloud-devel@suse.de
- Update to version networking-hyperv-2.0.1.dev8:
  * Updated from global requirements
* Tue Jun 28 2016 cloud-devel@suse.de
- Update to version networking-hyperv-2.0.1.dev7:
  * Updated from global requirements
* Thu Jun  9 2016 cloud-devel@suse.de
- Update to version networking-hyperv-2.0.1.dev6:
  * Fixes for multiple physnets in HyperV compute
  * Provide backwards compatibility for security_groups_driver
* Wed Jun  8 2016 cloud-devel@suse.de
- Update to version networking-hyperv-2.0.1.dev3:
  * SG: Fixes ICMP protocol for IPv6
* Tue May 24 2016 cloud-devel@suse.de
- Update to version networking-hyperv-2.0.1.dev2:
  * Updated from global requirements
* Wed Apr 13 2016 cloud-devel@suse.de
- Update to version networking-hyperv-2.0.1.dev1:
  * Updated from global requirements
  2.0.0
* Thu Mar 31 2016 cloud-devel@suse.de
- Update to version networking-hyperv-2015.1.1.dev83:
  * Synchronize port handling
  * SecurityGroups: clears port SG rule cache if port doesn't exist
* Wed Mar 30 2016 cloud-devel@suse.de
- Update to version networking-hyperv-2015.1.1.dev80:
  * Adds try-catch for NotFound exception when enabling metrics
* Mon Mar 28 2016 cloud-devel@suse.de
- Update to version networking-hyperv-2015.1.1.dev78:
  * Checks if rule exists before removing from list
* Sat Mar 26 2016 cloud-devel@suse.de
- Update to version networking-hyperv-2015.1.1.dev76:
  * Fixes sg_acls_sds map pop issue
* Fri Mar 25 2016 cloud-devel@suse.de
- Update to version networking-hyperv-2015.1.1.dev75:
  * Switches to post-versioning
* Wed Mar  9 2016 cloud-devel@suse.de
- Update to version networking-hyperv-2015.1.1.dev74:
  * Updated from global requirements
  * Adds LOG.exception when an exception is raised
* Sun Mar  6 2016 cloud-devel@suse.de
- Update to version networking-hyperv-2015.1.1.dev71:
  * Removes WMI and pywin32 requirement
* Sat Mar  5 2016 cloud-devel@suse.de
- Update to version networking-hyperv-2015.1.1.dev69:
  * Replaces in-branch utils with os_win utils
  * Adds trace to the port processing logic
* Thu Mar  3 2016 cloud-devel@suse.de
- Update to version networking-hyperv-2015.1.1.dev65:
  * Scaling hyperv neutron agent
  * Updated from global requirements
* Fri Feb 26 2016 cloud-devel@suse.de
- Update to version networking-hyperv-2015.1.1.dev62:
  * Enhanced RPC support in Hyper-V
  * Adds native thread pool
  * Replaces vNIC periodic query with event listeners
  * Ensure security groups are properly rebound
  * Updates HyperVSecurityGroupsDriver icmpv6 protocol
  * Updated from global requirements
* Mon Feb  1 2016 cloud-devel@suse.de
- Update to version networking-hyperv-2015.1.1.dev39:
  * Adds security_group_updated method in HyperVSecurityGroupDriver
* Wed Jan 27 2016 dmueller@suse.com
- remove python-wmi and python-pywin32 as they're only needed
  for win32 systems
* Tue Jan 26 2016 cloud-devel@suse.de
- Update to version networking-hyperv-2015.1.1.dev38:
  * Update .gitreview to point to stable/liberty
  * Manual global-requirements sync
* Fri Jan 15 2016 ovisan@suse.com
- Initial commit
